php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #5094 R_PPC_REL24 relocation out of range
Submitted: 2000-06-17 00:20 UTC Modified: 2000-08-22 05:24 UTC
From: infos at e-blokos dot com Assigned:
Status: Closed Package: Dynamic loading
PHP Version: 4.0.0 Release OS: LinuxPPC
Private report: No CVE-ID: None
 [2000-06-17 00:20 UTC] infos at e-blokos dot com
php 4 compiles fine with apache 1.3.12 mod_ssl 2.6.4, mod_perl 1.24 in LINuXppc 2000
with apxs

when i restart apache it makes thsi error

R_PPC_REL24 relocation out of range

any suggestions

Thanks


Franck Chionna

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-08-20 03:57 UTC] sniper@php.net
Does this problem still persist with more recent version of php (from CVS or http://snaps.php.net) ??

--Jani
 [2000-08-21 14:00 UTC] sniper@php.net
What is your configure line used for php4?

Try adding the path to the --with-mysql which points
to the prefix with which mysql was installed with.

--Jani
 [2000-08-22 05:24 UTC] sniper@php.net
Previous feedback:

>> ok, thank you.
>> i think that's the answer for my problem.
>> I've forgotten the path?...

User feedback:

> Really, i don't know, and i'm very too overbooked to recompile PHP and all
> other stuff like apache, etc...
> So if you want a speed answer, i suggest you try to send to
> linuxppc-user@lists.linuxppc.org your emails, apparently recently there
> is a guy who 's have some prob with Php4.

----

Hmm, this must be general concensus (to be overbooked. =)

If some people have problems with php4 they should file a bug
report here if they suspect it is a bug. Or ask from php-general@lists.php.net

I'm closing this one now. Please reopen if problem persists with newer versions
and using --with-mysql=/path/to/mysql  (when you have time to try it out)

--Jani



 [2003-07-27 21:46 UTC] clam at sluggy dot net
i have this same problem under php4.3.2 and apache 2.0.47
this is occuring on a gentoo-ppc
the error in my log:
Syntax error on line 3 of /etc/apache2/conf/modules.d/70_mod_php.conf:
Cannot load /etc/apache2/extramodules/libphp4.so into server:/etc/apache2/extramodules/libphp4.so: R_PPC_REL24 relocation at 0x0ccfafb0 for symbol `_get_element_by_id' out of range 

hope this helps
--will
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sun Jun 13 12:01:23 2021 UTC